OPENSSL-DSAPARAM(1SSL)

NUME
openssl-dsaparam - manipularea și generarea parametrilor DSA

SINOPSIS
openssl dsaparam [-help] [-inform DER|PEM] [-outform DER|PEM] [-in nume-fișier] [-out nume-fișier] [-noout] [-text] [-genkey] [-verbose] [-quiet] [-rand files] [-writerand fișier] [-engine id] [-provider nume] [-provider-path ruta] [-provparam [nume:]cheie=valoare] [-propquery propq] [număr-biți] [numărq-biți]

DESCRIERE
Această comandă este utilizată pentru a manipula sau genera fișiere cu parametri DSA.

Generarea parametrilor DSA poate fi un proces lent și, ca urmare, același set de parametri DSA este adesea utilizat pentru a genera mai multe chei distincte.

OPȚIUNI

-help
    Afișează acest mesaj de utilizare.

-inform DER|PEM
    Formatul de introducere a parametrilor DSA; nespecificat în mod implicit. Consultați openssl-format-options(1) pentru detalii.

-outform DER|PEM
    Formatul de ieșire al parametrilor DSA; implicit este PEM. Consultați openssl-format-options(1) pentru detalii.

    Parametrii sunt o secvență de ASN.1 INTEGER: p, q și g. Aceasta este compatibilă cu structura RFC 2459 DSS-Parms.

-in nume-fișier
    Aceasta specifică fișierul de intrare din care să se citească parametrii sau intrarea standard dacă această opțiune nu este specificată. Dacă este inclus parametrul număr-biți, această opțiune va fi ignorată.

-out nume-fișier
    Aceasta specifică fișierul de ieșire în care se vor scrie parametrii. Dacă această opțiune nu este prezentă, se utilizează ieșirea standard. Numele fișierului de ieșire poate fi același cu numele fișierului de intrare, ceea ce duce la înlocuirea conținutului fișierului. Rețineți că In/Ieș fișierului nu este atomică. Fișierul de ieșire este trunchiat și apoi scris.

-noout
    Această opțiune inhibă ieșirea versiunii codificate a parametrilor.

-text
    Această opțiune afișează parametrii DSA într-un format lizibil.

-genkey
    Această opțiune va genera un DSA utilizând parametrii specificați sau generați.

-verbose
    Afișează detalii suplimentare despre operațiile efectuate.

-quiet
    Afișează mai puține detalii despre operațiile efectuate, ceea ce poate fi util în timpul scripturilor pe loturi și a liniilor de conducte (pipelines).

-rand fișiere, -writerand fișier
    Consultați «Opțiuni de stare aleatorie» în openssl(1) pentru detalii.

-engine id
    Consultați secțiunea «Opțiuni motor» din openssl(1). Această opțiune este depreciată.

număr-biți
    Acest argument opțional specifică faptul că trebuie generat un set de parametri de dimensiune număr-biți. Dacă acest argument este inclus, fișierul de intrare (dacă există) este ignorat.

numărq-biți
    Acest argument opțional specifică faptul că un set de parametri trebuie generat cu un parametru subprime q de dimensiune numărq-biți. Acesta trebuie să fie ultimul argument. Dacă acest argument este inclus, fișierul de intrare (dacă există) este ignorat.

-provider nume
-provider-path rută
-provparam [nume:]key=valoare
-propquery propq
    Consultați „Opțiuni furnizor” în openssl(1), provider(7) și property(7).

CONSULTAȚI ȘI
openssl(1), openssl-pkeyparam(1), openssl-gendsa(1), openssl-dsa(1), openssl-genrsa(1), openssl-rsa(1)

ISTORIC
Opțiunea -engine a fost depreciată în OpenSSL 3.0.

Opțiunea -C a fost eliminată în OpenSSL 3.0.

DREPTURI DE AUTOR
Drepturi de autor 2000-2023 The OpenSSL Project Authors. Toate drepturile rezervate.

Licențiat sub Licența Apache 2.0 („License”). Nu aveți voie să utilizați acest fișier decât în conformitate cu licența. Puteți obține o copie din fișierul LICENSE din distribuția sursei sau de la <https://www.openssl.org/source/license.html>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.